%define upstream_name    Excel-Writer-XLSX
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Light weight re-implementation of XML::Writer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildArch:  noarch

%description
The 'Excel::Writer::XLSX' module can be used to create an Excel file in the
2007+ XLSX format.

The XLSX format is the Office Open XML (OOXML) format used by Excel 2007
and later.

Multiple worksheets can be added to a workbook and formatting can be
applied to cells. Text, numbers, and formulas can be written to the cells.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.460.0-1.mga2
+ Revision: 219964
- update to 0.46

* Wed Jan 25 2012 jquelin <jquelin> 0.450.0-1.mga2
+ Revision: 200918
- update to 0.45

* Thu Jan 05 2012 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 191271
- update to 0.44
- update to 0.43

* Sun Dec 18 2011 kharec <kharec> 0.420.0-1.mga2
+ Revision: 183438
- update to 0.42

* Sat Dec 10 2011 kharec <kharec> 0.410.0-1.mga2
+ Revision: 180347
- update to 0.41

* Fri Dec 09 2011 kharec <kharec> 0.400.0-1.mga2
+ Revision: 179441
- update to 0.40

* Sun Dec 04 2011 kharec <kharec> 0.390.0-1.mga2
+ Revision: 175756
- update to 0.39

* Fri Nov 18 2011 jquelin <jquelin> 0.340.0-1.mga2
+ Revision: 168746
- update to 0.34
- update to 0.34

* Thu Oct 20 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 156823
- imported package perl-Excel-Writer-XLSX


* Thu Oct 20 2011 cpan2dist 0.30-1mga
- initial mageia release, generated with cpan2dist
